cayenne-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kevin Menard <nirvd...@gmail.com>
Subject Re: Can't delete in Cayenne 3M5 :(
Date Sat, 11 Apr 2009 01:37:44 GMT
Kinda corny interjection, but I really liked this exchange.  The civil
interaction is one of the things I really enjoy about the Cayenne community.

-- 
Kevin


On Wed, Apr 8, 2009 at 2:13 PM, Joseph Schmidt
<joseph_schmidt71@yahoo.com>wrote:

>
> Hi,
>
> Thank you very much for the quick response.
>
> > The 3.0 API was relaxed from 2.0. In 2.0, deleteObject took
> > an org.apache.cayenne.Persistent.  In 3.0, it takes any
> > java.lang.Object.
> I see...
>
> > See:
> http://cayenne.apache.org/doc/api/org/apache/cayenne/access/DataContext.html#deleteObject(java.lang.Object)
> > (3.0)
> > and:
> http://cayenne.apache.org/doc20/api/cayenne/org/apache/cayenne/access/DataContext.html#deleteObject(org.apache.cayenne.Persistent)
> > (2.0)
> >
> > So, Click was compiled against 2.0 API, and you're
> > supplying the 3.0 runtime, I presume?
> Yes, you are right :).
> My build was picking the 2.0 libraries only.
> I'm a complete idiot. Sorry for bothering the users on this list with so
> trivial things.
>
> Joseph.
>
>
>
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message